<?php
include_once('c_page.php') ;
class c_page_index extends c_page
{
  function check_access(){return(1);}
  var $no_view_in_setting_right=1 ;

 function body()
 {
   if (!MEMBER()->id)  parent::body() ;
   else
 {
   if (_sizeof($this->menu))
 { reset($this->menu) ;
   $url=$_SESSION['ARR_roll'][MEMBER()->rol]['index_page'] ; //echo 'index_url='.$url.'<br>' ;
     if (!$url or $url==_CUR_CAB_DIR) list($url,$item)=each($this->menu) ; /*damp_array($this->menu) ; */
     ?><div class="center" style="font-size:18px;color:#272727;margin-top:200px;">Выполняется переход на главную страницу ЛК....<?echo $url?></div><?
   ?><script type="text/javascript">document.location="<?echo $url?>";</script><?
 }
   else
   {
       ?><div class="center" style="font-size:18px;color:#272727;margin-top:200px;">МЕНЮ НЕ ОПРЕДЕЛЕНО (((</div><?
   }
 }
 }


}

// класс для URL /cab/
class c_page_cab extends c_page_index {}
?>
